function WarlockTimerFu:DOTSetup()
self:AddRule("DOTs", "Corruption" ,{ time = 12, d={rs = 3, ma = 18}})
self:AddRule("DOTs", "Immolate" ,{time = 15})
self:AddRule("DOTs", "Unstable Affliction" ,{ time = 18})
self:AddRule("DOTs", "Siphon Life", {time = 30})
end

tinsert(WarlockTimerFu.timers, WarlockTimerFu.DOTSetup)


--USAGE. (group, name, { time = "base time", d={[cp = combo point multiplyer, tn = talent tree table, tb = efect of talents, tp = percentage effect of talents, to =  if not talent then dont use, ]}, [event = "use blizzards spell finished event"]